## com.google.gwt.dom.client
Class Style

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Style

    public class Style

extends JavaScriptObject

Provides programmatic access to properties of the style object.

See Also:
  `Element.getStyle()`

Constructor Summary
`protected` | `Style()`

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Gets the value of a named property.
`void` | `setProperty(java.lang.String name, java.lang.String value)` Sets the value of a named property.
`void` | `setPropertyPx(java.lang.String name, int value)` Sets the value of a named property, in pixels.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Style

    protected Style()

Method Detail

### getProperty

    public final java.lang.String getProperty(java.lang.String name)

  Gets the value of a named property.

### setProperty

    public final void setProperty(java.lang.String name,
                                  java.lang.String value)

  Sets the value of a named property.

### setPropertyPx

    public final void setPropertyPx(java.lang.String name,
                                    int value)

  Sets the value of a named property, in pixels. This is shorthand for `value + "px"`.